DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# Unregister

Remove a registry item

## SYNOPSIS

`#include "dip_registry.h"`

dip_Error dip_Unregister ( id, class )

## FUNCTION

This function removes the Registry information of the `ID` of the Registry class `class`. See `Register` for more information about DIPlib's Registry.

## ARGUMENTS

Data type | Name | Description
`dip_int` | `id` | Registry ID
`dip_int` | `class` | Registry class

## SEE ALSO

`Register`, `RegistryList`, `RegistryGet`, `RegistryArrayNew`